
/**
 * Write a description of class PrismaCuadrangular here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class PrismaCuadrangular extends Cuadrado implements Volumen
{
    protected double a;
    
    public PrismaCuadrangular(double x,double y, double lado, double altura){
        super (x,y,lado);
        a=altura;
    }
    public PrismaCuadrangular(Cuadrado c, int altura){
        this(c.x,c.y,c.altura, altura);
    }
    public double volumen()
        {return super.area()*a;

        }
    }